//    Dec 98    Sedov model
//		   additive model for XSPEC to use with general models.
//		   parameters (param):
//              (0):    postshock temperature t(keV)
//              (1):    postshock electron temperature t_e(keV)
//		(2):    heavy metal abundance (with respect to solar)
//              (3):    ionization parameter (cm^-3 s)
//		(4):    redshift z
//		(5):    gaussian velocity broadening

#include <xsTypes.h>
#include <functionMap.h>

void bsedov(const RealArray& energyArray, const RealArray& params,
	    int spectrumNumber, RealArray& flux, RealArray& fluxErr, 
	    const string& initString)
{
  RealArray vparam(18);
  vparam[0] = params[0];
  vparam[1] = params[1];
  vparam[2] = 1.0;
  vparam[3] = 1.0;
  for (size_t i=4; i<=14; ++i) vparam[i] = params[2];
  vparam[15] = params[3];
  vparam[16] = params[4];
  vparam[17] = params[5];

  // Call the bvsedov subroutine for variable abundances.

  bvsedov(energyArray, vparam, spectrumNumber, flux, fluxErr, initString);
  return;
}

